export * from './domtools.colors';

import * as elementBasic from './domtools.elementbasic';
import * as breakpoints from './domtools.css.breakpoints';
import * as css from './domtools.css';

export { css, breakpoints, elementBasic };
export { DomTools } from './domtools.classes.domtools';
export { TypedRequest } from '@apiglobal/typedrequest';
export { IWebSetupConstructorOptions } from '@pushrocks/websetup';
export { rxjs } from '@pushrocks/smartrx';

import * as allPlugins from './domtools.plugins';

export const plugins = {
  smartdelay: allPlugins.smartdelay,
  smartpromise: allPlugins.smartpromise,
  SweetScroll: allPlugins.SweetScroll,
  smartstate: allPlugins.smartstate
};
